## NAME

CURLINFO_TOTAL_TIME - get total time of previous transfer

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_TOTAL_TIME, double *timep);

## DESCRIPTION

Pass a pointer to a double to receive the total time in seconds for the previous transfer, including name resolving, TCP connect etc. The double represents the time in seconds, including fractions.

See also the TIMES overview in the curl_easy_getinfo(3) man page.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.4.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

curl_easy_getinfo (3), curl_easy_setopt (3)

This HTML page was made with roffit.